/* flagv.h - Peter Nelson
 *
 * Headers for making large vectors of (binary) flag variables, in a compact
 * form. It works by using only 1 bit per flag, thereby saving memory.
 *
 */
#ifndef FLAGV_H
#define FLAGV_H

/* Flag vectors are stored as a string of bytes */
typedef char* flagvec;

/* Create a flag vector of a given capacity */
flagvec flagv_create(int capacity);

/* Find the value of the flag at index i */
inline int flagv_get(flagvec fv, int i);

/* Set the value of the flag at index i */
inline void flagv_set(flagvec fv, int i, int val);

#endif
